com.jgoodies.forms.factories

## Class Borders.EmptyBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - com.jgoodies.forms.factories.Borders.EmptyBorder

- All Implemented Interfaces:
    Serializable, Border
  Enclosing class:
    Borders

      public static final class Borders.EmptyBorder
      extends AbstractBorder

  An empty border that uses 4 instances of `ConstantSize` to define the top, left, bottom and right gap.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstantSize` | `bottom()` Returns this border's bottom size.
    `Insets` | `getBorderInsets(Component c)` Returns the insets of the border.
    `Insets` | `getBorderInsets(Component c, Insets insets)` Returns the insets of the border.
    `ConstantSize` | `left()` Returns this border's left size.
    `ConstantSize` | `right()` Returns this border's right size.
    `ConstantSize` | `top()` Returns this border's top size.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                               Insets insets)

      Returns the insets of the border.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the insets to be reinitialized
      Returns:
        the `insets` object

    - #### getBorderInsets

          public Insets getBorderInsets(Component c)

      Returns the insets of the border.
      Specified by:
        `getBorderInsets` in interface `Border`
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
      Returns:
        the border's Insets

    - #### top

          public ConstantSize top()

      Returns this border's top size.
      Returns:
        this border's top size

    - #### left

          public ConstantSize left()

      Returns this border's left size.
      Returns:
        this border's left size

    - #### bottom

          public ConstantSize bottom()

      Returns this border's bottom size.
      Returns:
        this border's bottom size

    - #### right

          public ConstantSize right()

      Returns this border's right size.
      Returns:
        this border's right size

Copyright © 2002-2014 JGoodies Software GmbH. All Rights Reserved.